## mingw-w64-sox-ng-14.6.1-1.src.tar.zst

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckLibraryExists)

macro(optional variable header library function source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library} ${function} "" ${variable})
    if (${variable})
      set(optional_srcs ${optional_srcs} ${source})
      set(optional_libs ${optional_libs} ${library})
    endif (${variable})
  endif (${variable}1)
endmacro(optional)

macro(optional2 variable header library1 function1 library2 function2 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable})
      if (${variable})
	set(optional_srcs ${optional_srcs} ${source})
	set(optional_libs ${optional_libs} ${library1} ${library2})
      endif (${variable})
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional2)

macro(optional3 variable header library1 function1 library2 function2 library3 function3 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable}3)
      if (${variable}3)
	check_library_exists(${library3} ${function3} "" ${variable})
        if (${variable})
          set(optional_srcs ${optional_srcs} ${source})
          set(optional_libs ${optional_libs} ${library1} ${library2} ${library3})
        endif (${variable})
      endif (${variable}3)
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional3)

macro(optional4 variable header library1 function1 library2 function2 library3 function3 library4 function4 source)
  check_include_files(${header} ${variable}1)
  if (${variable}1)
    check_library_exists(${library1} ${function1} "" ${variable}2)
    if (${variable}2)
      check_library_exists(${library2} ${function2} "" ${variable}3)
      if (${variable}3)
	check_library_exists(${library3} ${function3} "" ${variable}4)
	if (${variable}4)
	  check_library_exists(${library4} ${function4} "" ${variable})
	  if (${variable})
	    set(optional_srcs ${optional_srcs} ${source})
	    set(optional_libs ${optional_libs} ${library1} ${library2} ${library3} ${library4})
	  endif (${variable})
	endif (${variable}4)
      endif (${variable}3)
    endif (${variable}2)
  endif (${variable}1)
endmacro(optional4)

project(sox_ng C)

if(CMAKE_COMPILER_IS_GNUCC)
	add_definitions(-fstack-protector -Wall -W -Wmissing-prototypes -Wstrict-prototypes -pedantic -Wno-format -Wno-long-long)
endif(CMAKE_COMPILER_IS_GNUCC)

include(TestBigEndian)

check_include_files("byteswap.h"         HAVE_BYTESWAP_H)
check_include_files("inttypes.h"         HAVE_INTTYPES_H)
check_include_files("fenv.h"             HAVE_FENV_H)
check_include_files("glob.h"             HAVE_GLOB_H)
check_include_files("io.h"               HAVE_IO_H)
#check_include_files("ltdl.h"             HAVE_LTDL_H) # no plug-ins as yet
check_include_files("stdint.h"           HAVE_STDINT_H)
check_include_files("string.h"           HAVE_STRING_H)
check_include_files("strings.h"          HAVE_STRINGS_H)
check_include_files("sys/stat.h"         HAVE_SYS_STAT_H)
check_include_files("sys/time.h"         HAVE_SYS_TIME_H)
check_include_files("sys/timeb.h"        HAVE_SYS_TIMEB_H)
check_include_files("sys/types.h"        HAVE_SYS_TYPES_H)
check_include_files("sys/utsname.h"      HAVE_SYS_UTSNAME_H)
check_include_files("termios.h"          HAVE_TERMIOS_H)
check_include_files("unistd.h"           HAVE_UNISTD_H)

check_function_exists("fmemopen"         HAVE_FMEMOPEN)
check_function_exists("fseeko"           HAVE_FSEEKO)
check_function_exists("gettimeofday"     HAVE_GETTIMEOFDAY)
check_function_exists("mkstemp"          HAVE_MKSTEMP)
check_function_exists("popen"            HAVE_POPEN)
check_function_exists("strcasecmp"       HAVE_STRCASECMP)
check_function_exists("strrstr"          HAVE_STRRSTR)
check_function_exists("vsnprintf"        HAVE_VSNPRINTF)

test_big_endian(WORDS_BIGENDIAN)

optional(NEED_LIBM math.h m pow "")
if(NEED_LIBM)
  set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} -lm)
  optional(HAVE_LRINT math.h m lrint "")
else(NEED_LIBM)
  check_function_exists("lrint" HAVE_LRINT)
endif(NEED_LIBM)
optional(EXTERNAL_GSM gsm/gsm.h gsm gsm_create "")
optional(EXTERNAL_LPC10 lpc10/lpc10.h lpc10 lpc10_create "")
optional(HAVE_ALSA alsa/asoundlib.h asound snd_pcm_open alsa)
optional(HAVE_AMRNB amrnb/sp_dec.h amrnb Decoder_Interface_init amr-nb)
optional(HAVE_AMRWB amrwb/dec.h amrwb D_IF_init amr-wb)
if(CMAKE_COMPILER_IS_GNUCC)
  optional(HAVE_GOMP omp.h gomp omp_get_thread_num "")
  if(HAVE_GOMP)
    add_definitions(-fopenmp)
  endif(HAVE_GOMP)
endif(CMAKE_COMPILER_IS_GNUCC)
optional(HAVE_ID3TAG id3tag.h id3tag id3_file_open "")
optional(HAVE_SNDIO sndio.h sndio sio_open sndio)
optional(HAVE_AO ao/ao.h ao ao_play ao)
optional(HAVE_FLAC FLAC/all.h FLAC FLAC__stream_encoder_new flac)
optional(HAVE_MAD_H mad.h mad mad_stream_buffer mp3)
optional(HAVE_LAME_LAME_H lame/lame.h mp3lame lame_get_lametag_frame mp3)
if (NOT HAVE_LAME_LAME_H)
  optional(HAVE_LAME_LAME_H lame.h mp3lame lame_get_lametag_frame mp3)
endif (NOT HAVE_LAME_LAME_H)
optional(HAVE_TWOLAME_H twolame.h twolame twolame_init mp3)
optional(HAVE_MAGIC magic.h magic magic_open "")
optional2(HAVE_PNG png.h png png_set_rows z uncompress spectrogram)
if (HAVE_PNG)
  check_library_exists(z uncompress "" spectrogram1)
  if (${spectrogram1})
    set(optional_libs ${optional_libs} z)
  endif (${spectrogram1})
endif (HAVE_PNG)
optional2(HAVE_PULSEAUDIO pulse/simple.h pulse-simple pa_simple_new pulse pa_strerror pulseaudio)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sndfile)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual caf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual fap)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat4)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual mat5)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual paf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual pvf)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual sd2)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual w64)
optional(HAVE_SNDFILE sndfile.h sndfile sf_open_virtual xi)
optional(HAVE_SPEEXDSP speex/speex_preprocess.h speexdsp speex_preprocess_run speexdsp)
optional(HAVE_SUN_AUDIOIO_H sun/audioio.h c ioctl sunaudio)
if (NOT HAVE_SUN_AUDIOIO_H)
  optional(HAVE_SYS_AUDIOIO_H sys/audioio.h c ioctl sunaudio)
endif (NOT HAVE_SUN_AUDIOIO_H)
optional(HAVE_SYS_SOUNDCARD_H sys/soundcard.h c ioctl oss)
if (NOT HAVE_SYS_SOUNDCARD_H)
  optional(HAVE_MACHINE_SOUNDCARD_H machine/soundcard.h ossaudio _oss_ioctl oss)
endif (NOT HAVE_SYS_SOUNDCARD_H)
optional(HAVE_WAVEAUDIO mmsystem.h winmm waveInGetDevCapsA waveaudio)
optional4(HAVE_OGG_VORBIS vorbis/codec.h ogg ogg_stream_flush vorbis vorbis_analysis_headerout vorbisfile ov_clear vorbisenc vorbis_encode_init_vbr vorbis)
optional3(HAVE_OPUS opusfile.h ogg ogg_stream_flush opus opus_encoder_create opusfile op_open_callbacks opus)
optional(HAVE_WAVPACK wavpack/wavpack.h wavpack WavpackGetSampleRate wavpack)

if (HAVE_LAME_LAME_H OR HAVE_MAD_H)
  set(HAVE_MP3 1)
endif (HAVE_LAME_LAME_H OR HAVE_MAD_H)

set(CMAKE_REQUIRED_LIBRARIES mp3lame m)
check_function_exists("lame_set_VBR_quality" HAVE_LAME_SET_VBR_QUALITY)
check_function_exists("id3tag_set_fieldvalue" HAVE_LAME_ID3TAG)

if (HAVE_LAME_LAME_H AND (NOT WIN32))
  check_library_exists(iconv iconv "" HAVE_ICONV)
  if (HAVE_ICONV)
    set(optional_libs ${optional_libs} iconv)
  endif (HAVE_ICONV)
endif (HAVE_LAME_LAME_H AND (NOT WIN32))

if (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)
  set(HAVE_SUN_AUDIO 1)
endif (HAVE_SUN_AUDIOIO_H OR HAVE_SYS_AUDIOIO_H)

if (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)
  set(HAVE_OSS 1)
endif (HAVE_SYS_SOUNDCARD_H OR HAVE_MACHINE_SOUNDCARD_H)

configure_file(sox_ng.pc.in sox_ng.pc @ONLY)
install_files(/lib/pkgconfig FILES sox_ng.pc)

subdirs(src)

if (NOT EXTERNAL_GSM)
  add_subdirectory(libgsm)
endif (NOT EXTERNAL_GSM)

if (NOT EXTERNAL_LPC10)
  add_subdirectory(lpc10)
endif (NOT EXTERNAL_LPC10)

if(APPLE)
	find_library(COREAUDIO_LIBRARY CoreAudio)
	mark_as_advanced(COREAUDIO_LIBRARY)
	if(COREAUDIO_LIBRARY)
		set(HAVE_COREAUDIO 1)
		set(optional_srcs ${optional_srcs} coreaudio)
	endif(COREAUDIO_LIBRARY)
	set(optional_libs ${optional_libs} ${COREAUDIO_LIBRARY})
endif(APPLE)

=== issues/Makefile ===
all:
	@echo "There's nothing here to make. Only 'make check' and 'make clean'"

check:
	@# Don't warn about "local"'s non-POSIXness
	@# or about echo "Message '$ftitle'"
	@# or about A && B || C is not if-then-else
	@# or about "useless echo" - we use it to ensure trailing newline.
	@shellcheck -e SC3043,SC2288,SC2015,SC2005 issues.sh

clean:
	@sh clean.sh -a

=== test/Makefile ===
# Makefile.in generated by automake 1.17 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2024 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
am__rm_f = rm -f $(am__rm_f_notfound)
am__rm_rf = rm -rf $(am__rm_f_notfound)
pkgdatadir = $(datadir)/sox_ng
pkgincludedir = $(includedir)/sox_ng
pkglibdir = $(libdir)/sox_ng
pkglibexecdir = $(libexecdir)/sox_ng
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-unknown-freebsd14.3
host_triplet = i386-unknown-freebsd14.3
target_triplet = i386-unknown-freebsd14.3
subdir = test
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/optional-fmt.m4 $(top_srcdir)/m4/sndfile.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/soxconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/martin/14.6.X/missing' aclocal-1.17
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound
AMRNB_CFLAGS = 
AMRNB_LIBS =  -lopencore-amrnb
AMRWB_CFLAGS = 
AMRWB_LIBS =  -lopencore-amrwb
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AO_CFLAGS = 
AO_LIBS =  -lao
APP_LDFLAGS = 
AR = ar
AS = as
AUTOCONF = ${SHELL} '/home/martin/14.6.X/missing' autoconf
AUTOHEADER = ${SHELL} '/home/martin/14.6.X/missing' autoheader
AUTOMAKE = ${SHELL} '/home/martin/14.6.X/missing' automake-1.17
AWK = nawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -W -Wstrict-prototypes -pedantic -fstack-protector-strong -fopenmp -I/usr/local/include/opus -I/usr/include/opus
COREAUDIO_CFLAGS = 
COREAUDIO_LIBS = 
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISTRO = not specified!
DLLTOOL = false
DOLBYB_LIBS = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FFTW_LIBS =  -lfftw3
FGREP = /usr/bin/grep -F
FILECMD = file
FLAC_CFLAGS = 
FLAC_LIBS = -lFLAC  -lvorbisenc -lvorbisfile -lvorbis  -logg
GOMP_LIBS = 
GREP = /usr/bin/grep
GSM_CFLAGS = 
GSM_LIBS =  -lgsm
ID3_LIBS = -lid3tag -lz
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LADSPA_PATH = ${exec_prefix}/lib/ladspa
LD = /usr/local/bin/ld
LDFLAGS = 
LIBDOLBYB_LIBADD = ../libdolbyb/libdolbyb.la
LIBGSM_LIBADD = 
LIBLPC10_LIBADD = ../lpc10/liblpc10.la
LIBLTDL =  -lltdl
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOLFLAGS = --silent
LIBTOOL_DEPS = .//ltmain.sh
LIPO = 
LN_S = ln -s
LPC10_CFLAGS = 
LPC10_LIBS = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAGIC_LIBS = -lmagic
MAKEINFO = ${SHELL} '/home/martin/14.6.X/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/local/bin/gmkdir -p
MP3_CFLAGS = 
MP3_LIBS =  -lmad -lmp3lame -ltwolame
NM = /usr/local/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OGG_VORBIS_CFLAGS = 
OGG_VORBIS_LIBS = -lvorbisenc -lvorbisfile -lvorbis  -logg
OPENMP_CFLAGS = -fopenmp
OPUS_CFLAGS = 
OPUS_LIBS =  -lopus -lopusfile
OSS_CFLAGS = 
OSS_LIBS = 
OTOOL = 
OTOOL64 = 
PACKAGE = sox_ng
PACKAGE_BUGREPORT = sox-ng@groups.io
PACKAGE_NAME = sox_ng
PACKAGE_STRING = sox_ng 14.6.1
PACKAGE_TARNAME = sox_ng
PACKAGE_URL = 
PACKAGE_VERSION = 14.6.1
PATH_SEPARATOR = :
PKG_CONFIG = /usr/local/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLAYRECLINKS = yes
PNG_LIBS =  -lpng -lz
PULSEAUDIO_CFLAGS = 
PULSEAUDIO_LIBS = 
RANLIB = ranlib
REPLACE = 
SED = /usr/local/bin/gsed
SET_MAKE = 
SHELL = /bin/sh
SHLIB_VERSION = 3:0:0
SNDFILE_CFLAGS = -I/usr/local/include -I/usr/local/include/opus
SNDFILE_LIBS = -L/usr/local/lib -lsndfile
SNDIO_CFLAGS = 
SNDIO_LIBS = 
SPEEXDSP_LIBS =  -lspeexdsp
STRIP = strip
SUN_AUDIO_CFLAGS = 
SUN_AUDIO_LIBS = 
SYMLINKS = yes
VERSION = 14.6.1
WARN_CFLAGS = 
WAVEAUDIO_CFLAGS = 
WAVEAUDIO_LIBS = 
WAVPACK_CFLAGS = 
WAVPACK_LIBS =  -lwavpack
abs_builddir = /home/martin/14.6.X/test
abs_srcdir = /home/martin/14.6.X/test
abs_top_builddir = /home/martin/14.6.X
abs_top_srcdir = /home/martin/14.6.X
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__rm_f_notfound = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
am__xargs_n = xargs -n
bindir = ${exec_prefix}/bin
build = i386-unknown-freebsd14.3
build_alias = 
build_cpu = i386
build_os = freebsd14.3
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i386-unknown-freebsd14.3
host_alias = 
host_cpu = i386
host_os = freebsd14.3
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/martin/14.6.X/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = $(libdir)/pkgconfig
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i386-unknown-freebsd14.3
target_alias = 
target_cpu = i386
target_os = freebsd14.3
target_vendor = unknown
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = samples.c
CLEANFILES = samples$(EXE) samples.o
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign test/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \

=== wiki/Makefile ===
# Makefile for sox_ng/wiki

all:
	@sh makehtml.sh

clean:
	@sh clean.sh

=== PKGBUILD ===
# Maintainer: Christoph Reiter <reiter.christoph@gmail.com>

_realname=sox-ng
pkgbase="mingw-w64-${_realname}"
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=14.6.1
pkgrel=1
pkgdesc="SoX is the Swiss Army Knife of sound processing utilities (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://codeberg.org/sox_ng/sox_ng"
msys2_changelog_url='https://codeberg.org/sox_ng/sox_ng/src/branch/main/ChangeLog'
msys2_references=(
  'anitya: 373981'
  'aur: sox-ng-git'
  # Gentoo uses sox-ng despite the sox name without ng appendix.
  'gentoo: media-sound/sox'
)
license=("spdx:GPL-2.0-only", "spdx:LGPL-2.1-only")
makedepends=(autoconf-archive
             ${MINGW_PACKAGE_PREFIX}-autotools
             ${MINGW_PACKAGE_PREFIX}-cc
             ${MINGW_PACKAGE_PREFIX}-pkgconf)
depends=(${MINGW_PACKAGE_PREFIX}-cc-libs
             ${MINGW_PACKAGE_PREFIX}-flac
             ${MINGW_PACKAGE_PREFIX}-gsm
             ${MINGW_PACKAGE_PREFIX}-lame
             ${MINGW_PACKAGE_PREFIX}-libao
             ${MINGW_PACKAGE_PREFIX}-libid3tag
             ${MINGW_PACKAGE_PREFIX}-libmad
             ${MINGW_PACKAGE_PREFIX}-libpng
             ${MINGW_PACKAGE_PREFIX}-libsndfile
             ${MINGW_PACKAGE_PREFIX}-libltdl
             ${MINGW_PACKAGE_PREFIX}-libvorbis
             ${MINGW_PACKAGE_PREFIX}-opencore-amr
             ${MINGW_PACKAGE_PREFIX}-opusfile
             ${MINGW_PACKAGE_PREFIX}-twolame
             ${MINGW_PACKAGE_PREFIX}-vo-amrwbenc
             ${MINGW_PACKAGE_PREFIX}-wavpack
             ${MINGW_PACKAGE_PREFIX}-speex
             ${MINGW_PACKAGE_PREFIX}-speexdsp
             ${MINGW_PACKAGE_PREFIX}-fftw
             ${MINGW_PACKAGE_PREFIX}-omp)
optdepends=("${MINGW_PACKAGE_PREFIX}-ffmpeg: to decode otherwise unsupported formats")
source=("https://codeberg.org/sox_ng/sox_ng/releases/download/sox_ng-${pkgver}/sox_ng-${pkgver}.tar.gz"
        "0002-fix-missing-exports.patch"
        "0003-missing-include.patch")
sha256sums=('bb03126de6b3ce0049801466f067097eb73f8a2fc11e9239ed00744f42691145'
            '11f7ecd26f857cd4b2c84a849446bac1ec6b3a77f8e54fb13c593feca6fdd54f'
            'f9993ca00f531a4620162e5c138f632bf31f3aedb09a8658a1cec7b6dc706d1e')

prepare() {
  cd "sox_ng-${pkgver}"

  patch -p1 -i "${srcdir}/0002-fix-missing-exports.patch"
  patch -p1 -i "${srcdir}/0003-missing-include.patch"

  autoreconf -i
}

build() {
  # Silence format warnings originating from usage of PRIu64 and PRIuPTR within lsx_warn, lsx_debug and lsx_fail
  export CFLAGS="$CFLAGS -Wno-format"

  export lt_cv_deplibs_check_method='pass_all'

  mkdir -p "${srcdir}/build-${MSYSTEM}-static" && cd "${srcdir}/build-${MSYSTEM}-static"

  CPPFLAGS+=" -DFLAC__NO_DLL" \
  ../sox_ng-${pkgver}/configure \
    --prefix=${MINGW_PREFIX} \
    --build=${MINGW_CHOST} \
    --host=${MINGW_CHOST} \
    --disable-shared \
    --enable-static \
    --with-distro='MSYS2 MINGW-packages'

  make -j1

  mkdir -p "${srcdir}/build-${MSYSTEM}-shared" && cd "${srcdir}/build-${MSYSTEM}-shared"

  ../sox_ng-${pkgver}/configure \
    --prefix=${MINGW_PREFIX} \
    --build=${MINGW_CHOST} \
    --host=${MINGW_CHOST} \
    --enable-shared \
    --disable-static \
    --with-distro='MSYS2 MINGW-packages'

  make -j1
}

package() {
  cd "${srcdir}/build-${MSYSTEM}-static"
  make DESTDIR="${pkgdir}" install

  cd "${srcdir}/build-${MSYSTEM}-shared"
  make DESTDIR="${pkgdir}" install
}
